summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/lang-librep
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/lang-librep')
-rwxr-xr-xgettext-tools/tests/lang-librep37
1 files changed, 18 insertions, 19 deletions
diff --git a/gettext-tools/tests/lang-librep b/gettext-tools/tests/lang-librep
index 6748252..1d10895 100755
--- a/gettext-tools/tests/lang-librep
+++ b/gettext-tools/tests/lang-librep
@@ -9,7 +9,7 @@ cat <<\EOF > prog.jl
(require 'rep.i18n.gettext)
(textdomain "prog")
-(bindtextdomain "prog" "l-librep")
+(bindtextdomain "prog" ".")
(format standard-output "%s\n" (_ "'Your command, please?', asked the waiter."))
@@ -18,10 +18,10 @@ cat <<\EOF > prog.jl
EOF
: ${XGETTEXT=xgettext}
-${XGETTEXT} -o l-librep-prog.tmp --omit-header --no-location prog.jl || exit 1
-LC_ALL=C tr -d '\r' < l-librep-prog.tmp > l-librep-prog.pot || exit 1
+${XGETTEXT} -o prog.tmp --omit-header --no-location prog.jl || exit 1
+LC_ALL=C tr -d '\r' < prog.tmp > prog.pot || exit 1
-cat <<EOF > l-librep-prog.ok
+cat <<EOF > prog.ok
msgid "'Your command, please?', asked the waiter."
msgstr ""
@@ -31,9 +31,9 @@ msgstr ""
EOF
: ${DIFF=diff}
-${DIFF} l-librep-prog.ok l-librep-prog.pot || exit 1
+${DIFF} prog.ok prog.pot || exit 1
-cat <<\EOF > l-librep-fr.po
+cat <<\EOF > fr.po
msgid ""
msgstr ""
"Content-Type: text/plain; charset=ISO-8859-1\n"
@@ -49,18 +49,17 @@ msgstr "%2$s remplace %1$s."
EOF
: ${MSGMERGE=msgmerge}
-${MSGMERGE} -q -o l-librep-fr.po.tmp l-librep-fr.po l-librep-prog.pot || exit 1
-LC_ALL=C tr -d '\r' < l-librep-fr.po.tmp > l-librep-fr.po.new || exit 1
+${MSGMERGE} -q -o fr.po.tmp fr.po prog.pot || exit 1
+LC_ALL=C tr -d '\r' < fr.po.tmp > fr.po.new || exit 1
: ${DIFF=diff}
-${DIFF} l-librep-fr.po l-librep-fr.po.new || exit 1
+${DIFF} fr.po fr.po.new || exit 1
-test -d l-librep || mkdir l-librep
-test -d l-librep/fr || mkdir l-librep/fr
-test -d l-librep/fr/LC_MESSAGES || mkdir l-librep/fr/LC_MESSAGES
+test -d fr || mkdir fr
+test -d fr/LC_MESSAGES || mkdir fr/LC_MESSAGES
: ${MSGFMT=msgfmt}
-${MSGFMT} -o l-librep/fr/LC_MESSAGES/prog.mo l-librep-fr.po
+${MSGFMT} -o fr/LC_MESSAGES/prog.mo fr.po
# Test for presence of rep version 0.15.3 or newer.
(rep --version) >/dev/null 2>/dev/null \
@@ -99,11 +98,11 @@ if test $LOCALE_FR = none && test $LOCALE_FR_UTF8 = none; then
fi
: ${DIFF=diff}
-cat <<\EOF > l-librep-prog.ok
+cat <<\EOF > prog.ok
«Votre commande, s'il vous plait», dit le garçon.
EUR remplace FF.
EOF
-cat <<\EOF > l-librep-prog.oku
+cat <<\EOF > prog.oku
«Votre commande, s'il vous plait», dit le garçon.
EUR remplace FF.
EOF
@@ -111,12 +110,12 @@ EOF
: ${LOCALE_FR=fr_FR}
: ${LOCALE_FR_UTF8=fr_FR.UTF-8}
if test $LOCALE_FR != none; then
- LANGUAGE= LC_ALL=$LOCALE_FR rep --no-rc --batch prog.jl > l-librep-prog.out || exit 1
- ${DIFF} l-librep-prog.ok l-librep-prog.out || exit 1
+ LANGUAGE= LC_ALL=$LOCALE_FR rep --no-rc --batch prog.jl > prog.out || exit 1
+ ${DIFF} prog.ok prog.out || exit 1
fi
if test $LOCALE_FR_UTF8 != none; then
- LANGUAGE= LC_ALL=$LOCALE_FR_UTF8 rep --no-rc --batch prog.jl > l-librep-prog.out || exit 1
- ${DIFF} l-librep-prog.oku l-librep-prog.out || exit 1
+ LANGUAGE= LC_ALL=$LOCALE_FR_UTF8 rep --no-rc --batch prog.jl > prog.out || exit 1
+ ${DIFF} prog.oku prog.out || exit 1
fi
exit 0